package nl.xelion.xcc.api.examples.client.datamodel;

/**
 * HATEOS Link.
 * <p>
 * This software is provided under the MIT <a href="https://opensource.org/licenses/MIT">license</a>
 */
public class HATEOASLink
{
    /**
     * The link type.
     */
    private String rel;

    /**
     * The resource URL.
     */
    private String href;

    /**
     * The HTTP method to retrieve the resource.
     */
    private String method;

    public HATEOASLink()
    {
    }

    /**
     * @return the rel
     */
    public String getRel()
    {
        return rel;
    }

    /**
     * @return the href
     */
    public String getHref()
    {
        return href;
    }

    /**
     * @return the method
     */
    public String getMethod()
    {
        return method;
    }

    @Override
    public String toString()
    {
        return rel + ": " + method + " " + href;
    }
}
